#!/bin/sh

if [ $# -lt 1 ]; then
	echo "Usage: $0 jobname"
	exit 1
fi

jobname=$1
vardir="/var/lib/crdemo/$jobname"
cgroupdir="/cgroup/$jobname"

t1=`head -1 /$cgroupdir/tasks`
kill -9 $t1
sleep 1
rmdir $cgroupdir
rm -rf $vardir

echo "job $jobname is now cleaned up"
